%global fontname paktype-naskh-basic
%global fontconf 65-0-paktype-naskh-basic.conf

Name:           paktype-naskh-basic-fonts
Version:        4.1
Release:        12
Summary:        Font supporting Arabic Script 

License:        GPLv2 with exceptions
URL:            https://sourceforge.net/projects/paktype/

Source0:        https://sourceforge.net/projects/paktype/files/PakType-Release-2019-03-11.tar.gz
Source1:        paktype-naskh-basic-fonts.conf

BuildArch:      noarch
BuildRequires:	fontpackages-devel
Requires:       fontpackages-filesystem

%description 
Unicode based open source OpenType font supporting Arabic Script under the terms \
of the GNU General Public License as published by the Free Software Foundation.

%package_help

%prep
%autosetup -c -n %{name}-%{version}
mv Features/PakType\ Naskh\ Basic\ Features.pdf PakTypeNaskhBasicFeatures.pdf
mv License\ files/PakType\ Naskh\ Basic\ License.txt  PakType_Naskh_Basic_License.txt

%{__sed} -i 's/\r//' PakType_Naskh_Basic_License.txt
chmod a-x PakType_Naskh_Basic_License.txt PakTypeNaskhBasicFeatures.pdf

%build

%install
pushd %{buildroot}
install -m 0755 -d .%{_fontdir}
install -m 0644 -p %{_builddir}/%{buildsubdir}/PakTypeNaskhBasic.ttf .%{_fontdir}
install -m 0755 -d .%{_fontconfig_templatedir} \
		.%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} .%{_fontconfig_templatedir}/%{fontconf}
popd

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%files
%defattr(-,root,root)
%doc PakType_Naskh_Basic_License.txt
%{_sysconfdir}/fonts/conf.d/%{fontconf}
%{_datadir}/fonts/%{fontname}/*.ttf
%{_datadir}/fontconfig/conf.avail/%{fontconf}

%files help
%defattr(-,root,root)
%doc PakTypeNaskhBasicFeatures.pdf

%changelog
* Fri Feb 14 2020 lingsheng <lingsheng@huawei.com> - 4.1-12
- Package init
